%bcond_with base_python

%define python_build_version 3.9
%define __python %{_bindir}/python%{python_build_version}

%if %{with base_python}
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1))}}
%else
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1) .. str:sub(3,-1))}}
%endif

%define pypi_name pythran

Name: python%{python_suffix}-%{pypi_name}
Version: 0.10.0
Release: 2
License: BSD-3-Clause
Summary: Ahead of Time Python compiler for numeric kernels
Url: https://github.com/serge-sans-paille/pythran
BuildArch: noarch

Source0: https://github.com/serge-sans-paille/pythran/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: python%{python_suffix}-devel
BuildRequires: python%{python_suffix}-pip
BuildRequires: python%{python_suffix}-numpy
BuildRequires: python%{python_suffix}-gast
BuildRequires: python%{python_suffix}-ply
BuildRequires: python%{python_suffix}-beniget

Requires: python%{python_suffix}-gast
Requires: python%{python_suffix}-ply
Requires: python%{python_suffix}-beniget

%description
Pythran is an ahead of time compiler for a subset of the Python language, with
a focus on scientific computing. It takes a Python module annotated with a few
interface description and turns it into a native Python module with the same
interface, but (hopefully) faster. It is meant to efficiently compile
scientific programs, and takes advantage of multi-cores and SIMD
instruction units.

%prep

%setup -q -n %{pypi_name}-%{version}

%build
%py_build_wheel

%install
%py_install_wheel %{pypi_name}-%{version}-py3-none-any.whl

sed -i 's|pip|rpm|g' %{buildroot}%{python_sitelib}/*.dist-info/INSTALLER

%if ! %{with base_python}
rm %{buildroot}%{_bindir}/pythran
rm %{buildroot}%{_bindir}/pythran-config
%endif

%files
%defattr(-, qsys, *none)

%license LICENSE

%{python_sitelib}/pythran*
%{python_sitelib}/omp*

%if %{with base_python}
%{_bindir}/pythran
%{_bindir}/pythran-config
%endif

%changelog
* Wed Dec 8 2021 Abdirahim Musse <abdirahim.musse@ibm.com> - 0.10.0
- Initial spec
